# vim: set sw=4 ts=4 et:
# Copyright (c) 2006-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de


Summary:        Monkey's Audio Codec, a lossless audio codec
Name:           libmac
Version:        3.99_u4_b5_s7
%define pkg_version	3.99-u4-b5-s7
%define soname  2
Release:        pm152.5.7
License:        Beerware
Group:          System/Libraries
Source:         http://www.etree.org/shnutils/shntool/support/formats/ape/unix/%{pkg_version}/mac-%{pkg_version}.tar.gz
Patch0:         libmac-cplusplus.patch
URL:            http://www.etree.org/shnutils/shntool/
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  gcc-c++

%description
MAC: short for Monkey's Audio Codec, a lossless audio codec (almost with the
.ape extension).

%package -n libmac%{soname}
Summary:        Monkey's Audio Codec, a lossless audio codec
Group:          System/Libraries

%description -n libmac%{soname}
MAC: short for Monkey's Audio Codec, a lossless audio codec (almost with the
.ape extension).

%package -n mac
Summary:        Monkey's Audio Codec console player
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       libmac%{soname} = %{version}

%description -n mac
This package contains the console player.

%package -n libmac-devel
Summary:        Monkey's Audio Codec, a lossless audio codec - API libraries and include files
Group:          Development/Languages/C and C++
Requires:       libmac%{soname} = %{version}

%description -n libmac-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q -n "mac-%{pkg_version}"
%patch0 -p1

%build
export CXXFLAGS="$RPM_OPT_FLAGS -DSHNTOOL"
%configure
%__make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
find %{buildroot} -type f -name "*.a" -delete -print

%post   -n libmac%{soname} -p /sbin/ldconfig
%postun -n libmac%{soname} -p /sbin/ldconfig

%files -n libmac%{soname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libmac.so.%{soname}
%{_libdir}/libmac.so.%{soname}.*

%files -n libmac-devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libmac.so
%{_includedir}/mac

%files -n mac
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc src/*.htm src/*.txt
%{_bindir}/mac

%changelog
* Sat Oct  8 2016 joerg.lorenzen@ki.tng.de
- Removed service file because build often fails with 'bad temdir'
  and only sometimes succeeds.
* Wed Apr  9 2014 svalx@svalx.net
- change source tarball to patched from http://www.etree.org/shnutils/shntool/.
  A patched version of mac that allows piped encoding - this is needed for
  full functionality with shntool.
  * version 3.99-u4-b5-s7
    + fixed compilation issue on big-endian systems [report: Michael Plotkin]
  * version 3.99-u4-b5-s6
    + fixed compilation issues with GCC 4.4 on some 64-bit systems [report: Eivind Eide]
  * version 3.99-u4-b5-s5
    + fixed long-standing 64-bit decompression crash [patch: Adam Nielsen]
    + fixed crash with pathnames longer than 256 characters [report: Kabakov Boris]
    + fixed a compilation issue (don't pass -fno-common to yasm)
  * version 3.99-u4-b5-s4
    + include error reason with error code in mac.exe
    + automatically recalculate quick verify checksum when compressing, if
    necessary (e.g. piped encoding with foobar2000, or truncated WAVE file)
  * version 3.99-u4-b5-s3
    + reenabled quick-verification of APE files (via new '-q' option)
  * version 3.99-u4-b5-s2
    + show above version in mac.exe help screen (sN = shntool revision N)
    + added support for encoding WAVE data of unknown length (all files/pipes
    are now treated as unknown length; this forces mac.exe to write a seek
    table of maximum size regardless of input file size, adding ~30kb/file)
  * version 3.99-u4-b5-s1
    + added support for pipe encoding/decoding
- remove libmac-const-char.patch - no needed
- corrected URL according to the new source
- remove libmac-rpmlintrc file with static-library-without-debuginfo filter - no needed
- delete 'make distclean' call in %%prep section of specfile - no needed
- add a source download service
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build by removing maintainer's crap in %%setup
* Wed Sep  5 2007 toni@links2linux.de
- changed package layout according Shared Library Packaging Policy
- added subpackage mac for the console player
- Corrected URL
* Sun Sep 17 2006 toni@links2linux.de
- build for packman
* Sat Jun 24 2006 oc2pus@arcor.de 3.99_u4_b5-0.oc2pus.1
- initial release 3.99_u4_b5
